Mail archive
alpine-devel

[alpine-devel] new aport: geekie

From: ScrumpyJack <scrumpyjack_at_me.com>
Date: Wed, 20 May 2015 16:16:58 +0000 (UTC)

Geeqie is a lightweight Gtk+ based image viewer and organiser

---
 testing/geeqie/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/geeqie/APKBUILD
diff --git a/testing/geeqie/APKBUILD b/testing/geeqie/APKBUILD
new file mode 100644
index 0000000..f265768
--- /dev/null
+++ b/testing/geeqie/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: ScrumpyJack <scrumpyjack_at_me.com>
+# Maintainer:
+pkgname=geeqie
+pkgver=1.1
+pkgrel=0
+pkgdesc="Geeqie is a lightweight Gtk+ based image viewer and organiser"
+url="http://geeqie.sourceforge.net/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="gtk+2.0-dev lcms-dev exiv2-dev libtool doxygen lcms-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://downloads.sourceforge.net/project/$pkgname/$pkgname/${pkgname}-${pkgver}/${pkgname}-${pkgver}.tar.gz"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+        ./configure --prefix=/usr
+        make || exit 1
+}
+
+package() {
+	cd "$_builddir"
+        make DESTDIR="${pkgdir}" install
+}
+
+md5sums="e63351988625c84b0fd80bc4eefd923b  geeqie-1.1.tar.gz"
+sha256sums="5544e81c29917a647f19bfe800d9f0dd1cd5b890329feebd9abd80927e1afecf  geeqie-1.1.tar.gz"
+sha512sums="3949b2717c70adb4e6b2c6db002042bcd1c3e9a5345991d3cba41de1765709ccf70fadfcde9dd221b1da03ef14512c746ab424cbc0d09617c52dbf445ee0243d  geeqie-1.1.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed May 20 2015 - 16:16:58 GMT